commit:     d4cb06a41e7aec675fa0a4f7206ca6e5ba46aa39
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 10 13:13:42 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan 10 13:13:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4cb06a4

app-emulation/runc: Update snapshot

Package-Manager: Portage-2.3.54, Repoman-2.3.12
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-emulation/runc/Manifest                        |  1 +
 app-emulation/runc/runc-1.0.0_rc6_p20181203.ebuild | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-emulation/runc/Manifest b/app-emulation/runc/Manifest
index e1dc14bd3e5..703fba99dd0 100644
--- a/app-emulation/runc/Manifest
+++ b/app-emulation/runc/Manifest
@@ -1,3 +1,4 @@
 DIST runc-1.0.0_rc5.tar.gz 1183902 BLAKE2B 
46d0ffd9aa79a6f74b3194fa9e1932390115a43c903ae553acb7749d6be41220874a1ff9bae9706b5fecb9495dd6686c38ee1e9baf6118a14990f142baf6f64d
 SHA512 
714230887ff9706c29b0656c5cdb253698bde6252a23e7f48aa690747fb57abd7884c2da1c4d0e314f9f301c5962417351557d15d986e45fcc336e98069aeac6
 DIST runc-1.0.0_rc5_p20180509.tar.gz 1185576 BLAKE2B 
b56f9c185c061f51a1fd81c19d378b06c71d06c6eddcbc1c946b234814eb469ea4af37bf42ef3889e4d37bc430e69d0a563281b13055f855f1bc15935531fe28
 SHA512 
9a55bdb8e39830f46cceff48970b7688139927552e3d268b9ef4a6e640ffc3d95164b99c5b05d07d295bedc2ea22daf6062fd520df1548d78b1d481fd928f1e3
 DIST runc-1.0.0_rc6.tar.gz 1202212 BLAKE2B 
2795b6e88a9587fac61a50bfea52a9df8524eb87aae66129d7ea83e8c3ca586efc60a46d24af857f7ba50f8e4d7021cbd2845d322a8c0ad08be3e0f19d80ba3b
 SHA512 
2f7ed5e835f000d9810a116a27300336f424ac2c370dd1c7d158e26a4997d1e8398612387be27cc22cc25fdd52cc4cff7963ef88ce9c41d337321b75d9be2334
+DIST runc-1.0.0_rc6_p20181203.tar.gz 1202869 BLAKE2B 
5b5808fc65f3725e5cc22794c5ff6c5eba6016110358b0f60dd3378df2e5b64afb5631e5652f45e9721838dd02745b8c5a88abfcd244de202196ac16bfccd5a7
 SHA512 
ec3d3fec773f2f9df714b0813efb110e21e328634e0b4ae77f323a892d0327aea5d4b6f9ae2a549aa06fda5b27431f4514fd663c7033dc170ca1a03627931f9d

diff --git a/app-emulation/runc/runc-1.0.0_rc6_p20181203.ebuild 
b/app-emulation/runc/runc-1.0.0_rc6_p20181203.ebuild
new file mode 100644
index 00000000000..c422609ace8
--- /dev/null
+++ b/app-emulation/runc/runc-1.0.0_rc6_p20181203.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/opencontainers/${PN}"
+
+if [[ ${PV} == *9999 ]]; then
+       inherit golang-build golang-vcs
+else
+       MY_PV="${PV/_/-}"
+       RUNC_COMMIT="96ec2177ae841256168fcf76954f7177af9446eb" # Change this 
when you update the ebuild
+       SRC_URI="https://${EGO_PN}/archive/${RUNC_COMMIT}.tar.gz -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+       inherit golang-build golang-vcs-snapshot
+fi
+
+DESCRIPTION="runc container cli tools"
+HOMEPAGE="http://runc.io";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+ambient apparmor hardened +kmem +seccomp"
+
+RDEPEND="
+       apparmor? ( sys-libs/libapparmor )
+       seccomp? ( sys-libs/libseccomp )
+       !app-emulation/docker-runc
+"
+
+src_prepare() {
+       default
+       sed -i -e "/^GIT_BRANCH/d"\
+               -e "/^GIT_BRANCH_CLEAN/d"\
+               -e "/^COMMIT_NO/d"\
+               -e "s/COMMIT :=.*/COMMIT := ${RUNC_COMMIT}/"\
+               src/${EGO_PN}/Makefile || die
+}
+
+src_compile() {
+       # Taken from app-emulation/docker-1.7.0-r1
+       export CGO_CFLAGS="-I${ROOT}/usr/include"
+       export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')
+               -L${ROOT}/usr/$(get_libdir)"
+
+       # build up optional flags
+       local options=(
+               $(usex ambient 'ambient' '')
+               $(usex apparmor 'apparmor' '')
+               $(usex seccomp 'seccomp' '')
+               $(usex kmem '' 'nokmem')
+       )
+
+       GOPATH="${S}" emake BUILDTAGS="${options[*]}" -C src/${EGO_PN}
+}
+
+src_install() {
+       pushd src/${EGO_PN} || die
+       dobin runc
+       dodoc README.md PRINCIPLES.md
+       popd || die
+}

Reply via email to